<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8"/>
    <title>Account Recovery</title>
    <link href="../images/favicon/favicon-16x16.png" rel="icon" type="image/png"/>
    <link href="../stylesheets/index.css" rel="stylesheet" type="text/css"/>
  </head>
  <body>
    <div class="wrapper">
      <header class="page-header">
        <img alt="Sharky, our mascot" height="81.56" src="../images/sharky.svg" width="145"/>
        <h1>Skynet Self Service</h1>
      </header>
      <main class="page-body">
        <h1>SSH key recovery</h1>
        <p>
          Recover a legacy skynet account using your username and set a new email address to link to the account. Use this only if you do not remember the account password and the linked account email is lost or incorrect.
          <br>
          Enter skynet username & email you have used with UL Wolves.
        </p>

        <form id="form">
          <table id="table">
            <tr> 
              <td><label for="user">Username</label></td>
              <td><input id="user" name="user" type="text"/> <br/></td>
            </tr>
            <tr> 
              <td><label for="mail">Email</label></td>
              <td><input id="mail" name="mail" type="email"/> <br/></td>
            </tr> 
            <tr>
              <td colspan="2"><input id="button" type="submit" value="submit"/></td>
            </tr>
          </table>
        </form>
        <p id="formStatus"></p>
        <script type="module" src="ssh-request.js"></script>
      </main>
      <footer class="page-footer">
        UL Computer Society 2023-<span id="year">2023</span>
        <script>
          document.getElementById('year').textContent = new Date().getFullYear().toString()
        </script>
      </footer>
    </div>
  </body>
</html>